﻿@page
@model Project_PRN221_1.Pages.UserManage.ProfileModel
@{
}
<style>
    .profile-info input[type="text"],
    .profile-info input[type="password"],
    .profile-info input[type="email"] {
        border: none;
        border-bottom: 1px solid #ccc;
        background-color: transparent;
    }

        .profile-info input[type="text"]:read-only,
        .profile-info input[type="password"]:read-only,
        .profile-info input[type="email"]:read-only {
            border-bottom: none;
            background-color: transparent;
            color: #000;
        }

    .profile-info td {
        padding: 10px 0;
    }

        .profile-info td:first-child {
            width: 150px;
        }

</style>
<div class="container">
    <h1>User Profile</h1>
    <div class="row">
        <div class="col-md-6">
            <h3>Update Password</h3>
            <form method="post" asp-page-handler="UpdatePassword">
                <input type="hidden" asp-for="user.UserId" />
                <input type="hidden" asp-for="user.Password" />
                <input type="hidden" asp-for="user.Username" />
                <input type="hidden" asp-for="user.Email" />
                <input type="hidden" asp-for="user.Name" />
                <input type="hidden" asp-for="user.RoleId" />
                <input type="hidden" asp-for="user.Role" />
                <div asp-validation-summary="All" class="text-danger"></div>
                <div class="form-group">
                    <label for="currentPassword">Current Password:</label>
                    <input type="password" class="form-control" id="currentPassword" name="currentPassword" required />
                </div>

                <div class="form-group">
                    <label for="newPassword">New Password:</label>
                    <input type="password" class="form-control" id="newPassword" name="newPassword" required />
                </div>

                <div class="form-group">
                    <label for="confirmPassword">Confirm New Password:</label>
                    <input type="password" class="form-control" id="confirmPassword" name="confirmPassword" required />
                </div>

                <button type="submit" class="btn btn-primary">Update Password</button>
            </form>
        </div>
        <div class="col-md-6">
            <h3>User Profile Info</h3>
            <form method="post" asp-page-handler="UpdateProfile">
                <table class="profile-info">
                    <input type="hidden" asp-for="user.UserId" />
                    <input type="hidden" asp-for="user.Password" />
                    <tr>
                        <td><strong>User name:</strong></td>
                        <td><input type="text" asp-for="user.Username" readonly="readonly" class="form-control" id="username"/></td>
                    </tr>
                    <tr>
                        <td><strong>Email:</strong></td>
                        <td><input type="text" asp-for="user.Email" readonly="readonly" class="form-control" /></td>
                    </tr>
                    <tr>
                        <td><strong>Real name:</strong></td>
                        <td><input type="text" asp-for="user.Name" readonly="readonly" class="form-control" /></td>
                    </tr>
                    <tr>
                        <td><strong>Role:</strong></td>
                        <td>@Html.DisplayFor(model => model.user.Role.RoleName)</td>
                    </tr>
                </table>

                <button type="submit" class="btn btn-primary" id="saveButton" style="display: @((ViewData.ModelState.IsValid) ? "none" : "inline-block");">Save</button>
            </form>
            <button class="btn btn-primary" id="editButton" style="display: @((ViewData.ModelState.IsValid) ? "inline-block" : "none");">Edit Profile</button>
        </div>
    </div>
</div>

@section Scripts {
    <script>
        document.addEventListener("DOMContentLoaded", function () {
            var inputs = document.querySelectorAll('.profile-info input:not([name="id"]):not([name="role"]):not([id="username"])');
            var editButton = document.getElementById('editButton');
            var saveButton = document.getElementById('saveButton');
            if (saveButton.style.display === 'inline-block') {
                inputs.forEach(function (input) {
                    input.removeAttribute('readonly');
                });
            }
            editButton.addEventListener('click', function () {
                inputs.forEach(function (input) {
                    input.removeAttribute('readonly');
                });
                editButton.style.display = 'none';
                saveButton.style.display = 'inline-block';
            });

            saveButton.addEventListener('click', function () {
                if (saveButton.style.display === 'inline-block') {
                    inputs.forEach(function (input) {
                        input.setAttribute('readonly', 'readonly');
                    });
                }
                else {
                    editButton.style.display = 'inline-block';
                }
            });
        });
    </script>
}